# Generated from screens-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name screens

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: A Rails tool that helps to provide a nice development workflow for coding responsive pages
License: MIT
URL: https://github.com/jason-rutherford/screens
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(guard-livereload)
# BuildRequires: rubygem(foreman)
BuildArch: noarch

%description
Screens adds a simple and elegant viewer so you can review your app at various
screen sizes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.1-1
- Initial package
